﻿/*
Feladat: I 543
Név: Gyönki Dominik
Osztály: 9.
Iskola neve: Eger, Neumann János Gimnázium, Technikum és Kollégium
Használt fejlesztõi környezet: Microsoft Visual Studio 2019 Community (C#)
*/
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KöMaL_i543
{
    public struct Dijazott
    {
        public string Nev;
        public int Ev;
        public string OrszagSz;
        public string OrszagM;
        public string Munkahely;
        public string Indok;
    }

    class Program
    {
        static void Main(string[] args)
        {
            List<Dijazott> Dijazottak = new List<Dijazott>();
            StreamReader input = new StreamReader("abeldij.csv");
            string sor; int N = 0;
            while ((sor = input.ReadLine()) != null)
            {
                string[] temp = sor.Split(';');
                Dijazott Uj = new Dijazott();
                Uj.Ev = int.Parse(temp[0]);
                Uj.Nev = temp[1];
                if (temp[2].Contains(','))
                {
                    string[] tempo = temp[2].Split(',');
                    Uj.OrszagSz = tempo[0];
                    Uj.OrszagM = tempo[1];
                }
                else
                {
                    Uj.OrszagSz = temp[2];
                    Uj.OrszagM = temp[2];
                }
                Uj.Munkahely = temp[3];
                Uj.Indok = temp[4];
                Dijazottak.Add(Uj);
                N++;
            }
            Console.WriteLine("5. feladat");
            Console.Write("Kérem adjon meg egy évszámot: ");
            int Ev5 = int.Parse(Console.ReadLine());
            for (int i = 0; i < N; i++)
            {
                if (Dijazottak[i].Ev == Ev5)
                {
                    Console.WriteLine("Név: " + Dijazottak[i].Nev + " született: " + Dijazottak[i].OrszagSz);
                }
            }
            Console.WriteLine("6. feladat");
            Console.Write("Kérem adja meg egy ország nevét: ");
            string Orszag6 = Console.ReadLine();
            for (int i = 0; i < N; i++)
            {
                if (Dijazottak[i].OrszagSz == Orszag6 || Dijazottak[i].OrszagM == Orszag6)
                {
                    Console.WriteLine("Díjazott: " + Dijazottak[i].Nev);
                    Console.WriteLine("Munkahely: " + Dijazottak[i].Munkahely);
                }
            }
            Console.WriteLine("7. feladat");
            Console.WriteLine("A következő matematikusok indoklásában szerepel az algebra szó:");
            List<string> Nev7 = new List<string>();
            for (int i = 0; i < N; i++)
            {
                if (Dijazottak[i].Indok.Contains("algebra"))
                {
                    Nev7.Add(Dijazottak[i].Nev);
                }
            }
            Console.WriteLine(String.Join(", ", Nev7));
        }
    }
}
